# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Build-Deprecated
Version:	0.4210
Release:	6.%{__distinit}%{__distvers}
Summary:	Collection of modules removed from Module-Build
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Build-Deprecated/
Source0:	http://www.cpan.org/authors/id/L/LE/LEONT/Module-Build-Deprecated-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build) > 0.36
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(CPAN::Meta::YAML) >= 0.002
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.87
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More)
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:	perl-Module-Build < 0.42.07

%description
This module contains a number of module that have been removed from
Module-Build:

Module::Build::ModuleInfo - This has been superseded by Module::Metadata
Module::Build::Version - This has been replaced by version
Module::Build::YAML - This has been replaced by CPAN::Meta::YAML

%prep
%setup -q -n Module-Build-Deprecated-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0

%check
RELEASE_TESTING=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Build::Deprecated.3*
%{_mandir}/man3/Module::Build::ModuleInfo.3*
%{_mandir}/man3/Module::Build::Version.3*
%{_mandir}/man3/Module::Build::YAML.3*

%changelog
* Mon Sep  5 2016 Paul Howarth <paul@city-fan.org> - 0.4210-6
- Classify buildreqs by usage

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.4210-3
- Perl 5.20 rebuild

* Thu Aug 21 2014 Paul Howarth <paul@city-fan.org> - 0.4210-2
- Import from Fedora

* Wed Aug 20 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.4210-1
- Initial release
